Page MenuHomePhabricator

PDF Rendering page no longer refreshes
Closed, ResolvedPublic

Description

seen in test2wiki/mw.o since 15 May and also beta labs

Pick any page for example http://test2.wikipedia.org/wiki/LowTemplate

Click Download as PDF

Get the Rendering page showing 1% progress.

Rendering page never refreshes.

Note that the Rendering page does say "This page should automatically refresh every few seconds. If this does not work, please press your browser's refresh button." and upon refreshing the page the PDF file is available for download.


Version: unspecified
Severity: major

Details

Reference
bz65562

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:09 AM
bzimport set Reference to bz65562.

Note: not seen in production

greg added a comment.May 21 2014, 5:37 PM

Putting into the Collection (PDF) extension for now, for visibility.

This seems to have been deployed to production, I just checked enwiki and PDF Rendering page no longer refreshes automatically in my browser.

greg added a comment.May 23 2014, 6:07 PM

Matt/Chad: Could you take a look at this? I picked you two because I like you (and not sure who else to turn to). :)

  • Bug 65943 has been marked as a duplicate of this bug. ***

(copied from bug 65943)

After I loaded
http://en.wikipedia.beta.wmflabs.org/wiki/Cat
and clicked on "Download as PDF" I got the URL
http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Book&bookcmd=render_article&arttitle=Cat&oldid=68036&writer=rl
where I get this:
"Exception thrown by ext.collection.bookcreator" load.php:160
"Error: Syntax error, unrecognized expression: #bodyContent a[href^='/wiki/']:not(a[href~='index.php'])[title!=][rel!=nofollow]:not(.external):not(.internal):not(.sortheader):not([accesskey]):not(.nopopup)" Error: Syntax error, unrecognized expression: #bodyContent a[href^='/wiki/']:not(a[href~='index.php'])[title!=][rel!=nofollow]:not(.external):not(.internal):not(.sortheader):not([accesskey]):not(.nopopup)
Stack trace:
Sizzle</Sizzle.error@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:20
Sizzle</Sizzle.tokenize@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:29
Sizzle</Sizzle.select@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:35
Sizzle@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:12
.find@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:39
jQuery.fn.init@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:40
jQuery.fn.init@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:154
jQuery@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:1
@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=ext.collection%7Cext.collection.bookcreator&skin=vector&version=20140421T170058Z&*:9
jQuery.Callbacks/fire@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:44
jQuery.Callbacks/self.add@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:45
jQuery.fn.ready@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:48
jQuery.fn.init@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:41
jQuery.fn.init@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:154
jQuery@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:1
@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=ext.collection%7Cext.collection.bookcreator&skin=vector&version=20140421T170058Z&*:6
@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=ext.collection%7Cext.collection.bookcreator&skin=vector&version=20140421T170058Z&*:9
runScript@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:170
execute/</checkCssHandles@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:171
execute/</cssHandle/<@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:171
jQuery.Callbacks/fire@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:44
jQuery.Callbacks/self.fireWith@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:46
jQuery.Callbacks/self.fire@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:46
addEmbeddedCSS@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:166
addEmbeddedCSS/<@http://bits.beta.wmflabs.org/en.wikipedia.beta.wmflabs.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2CloadingSpinner%2CmwEmbedUtil%7Cmw.MwEmbedSupport&only=scripts&skin=vector&version=20140518T101426Z:165

I believe this is the cause of the problem mentioned by Matthew Walker on
http://lists.wikimedia.org/pipermail/wikitech-l/2014-May/076734.html

  • This bug has been marked as a duplicate of bug 36962 ***

This is not a duplicate or I am missing something. That bug has nothing about JavaScript errors on it.

This is probably caused by the recent jQuery update. Collection has some clever code that should have never worked if you ask me, and apparently stopped working now.

This is a one-line fix unless there is some other weirdness there (I've only dug into the traceback from comment 6).

Change 136350 had a related patch set uploaded by Bartosz Dziewoński:
Use [title!=''] instead of [title!=] to make jQuery happy

https://gerrit.wikimedia.org/r/136350

Change 136350 merged by jenkins-bot:
Use [title!=''] instead of [title!=] to make jQuery happy

https://gerrit.wikimedia.org/r/136350

Thanks. Can you verify that this fixes the bug? As I said, I only looked at the single backtrace in the comments here, there might be more issues lurking.

greg added a comment.May 30 2014, 6:45 PM

WFM now (tested the beta cluster Cats page).

The percentage done jumps around (goes back to 1% after hitting 20% or so, then up to 75%). But the page successfully autoreloads with the url to the pdf to download.

Progress bars are tough, so I'm not going to hold this back in anyway. Get the required functionality back.

greg added a comment.May 30 2014, 10:09 PM

Ok, just did another one. I'm calling this fixed.

Matma: if you want to backport, want to do it early next week?